Skip to content
Back to top
View this page

# InputProfilePhoto

class telegram.InputProfilePhoto(type, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object describes a profile photo to set. Currently, it can be one of

  - `InputProfilePhotoStatic`

  - `InputProfilePhotoAnimated`

  Use In

  `telegram.Bot.set_business_account_profile_photo()`

  Added in version 22.1.

  Parameters:

    type (`str`) – Type of the profile photo.

  type

    Type of the profile photo.

    Type:

      `str`

  ANIMATED = 'animated'

    `'animated'`.

    Type:

      `str`

  STATIC = 'static'

    `'static'`.

    Type:

      `str`